// import React from 'react'
import { Table, Space } from "antd"
const { Column } = Table;
export default function File() {
    const data = [
        {
            id:'123',
            fileTitle:'嘻嘻嘻嘻嘻嘻嘻',
            fileConent:'资料内容',
            time:'2024-05-14     15:05:56',
            status:'卖家待补充/买家待补充',
        },
        {
            id:"012",
            fileTitle:'哈哈哈哈',
            fileConent:'资料内容',
            time:'2024-05-14     15:05:56',
            status:'卖家待补充/买家待补充',
        },
        {
            
            fileTitle:'嘎嘎嘎嘎嘎嘎嘎嘎嘎嘎1',
            fileConent:'资料内容',
            time:'2024-05-14     15:05:56',
            status:'卖家待补充/买家待补充',
        },
        {
            fileTitle:'嘎嘎嘎嘎嘎嘎嘎嘎嘎嘎2',
            fileConent:'资料内容',
            time:'2024-05-14     15:05:56',
            status:'卖家待补充/买家待补充',
        },
        {
            fileTitle:'嘎嘎嘎嘎嘎嘎嘎嘎嘎嘎3',
            fileConent:'资料内容',
            time:'2024-05-14     15:05:56',
            status:'卖家待补充/买家待补充',
        },
        {
            fileTitle:'嘎嘎嘎嘎嘎嘎嘎嘎嘎嘎4',
            fileConent:'资料内容',
            time:'2024-05-14     15:05:56',
            status:'卖家待补充/买家待补充',
        },
        {
            fileTitle:'嘎嘎嘎嘎嘎嘎嘎嘎嘎嘎5',
            fileConent:'资料内容',
            time:'2024-05-14     15:05:56',
            status:'卖家待补充/买家待补充',
        },
        {
            fileTitle:'嘎嘎嘎嘎嘎嘎嘎嘎嘎嘎6',
            fileConent:'资料内容',
            time:'2024-05-14     15:05:56',
            status:'卖家待补充/买家待补充',
        },


    ]
    return (
        <div>
            <Table
                // scroll={{ y: `${height - 190}px` }}
                dataSource={data}
                pagination={{
                  defaultPageSize: 5, // 设置默认一页显示 5 条数据
                }}
                // pagination={false} // 不显示分页
                style={{ textAlign: 'center' }} // 设置表格内容居中显示
                rowKey="fileTitle" // 指定数据项的唯一标识符
            >
                <Column
                    width={70}
                    title="序号" render={(_text, _record, index: number) => (
                        index + 1
                    )} align="center" />
                <Column
                    title="资料主题"
                    dataIndex="fileTitle"
                    align="center"
                // render={(text) => (
                //     <span style={{ color: '#1B8BD2', fontSize: '16px', fontWeight: '700' }}>{text}</span>
                // )}
                />
                <Column
                    title="资料内容"
                    dataIndex="fileConent"
                    align="center"
                />
                <Column
                    title="发起时间"
                    dataIndex="time"
                    align="center"
                // ellipsis
                />
                <Column
                    title="状态"
                    dataIndex="status"
                    align="center"
                    render={(text) => (
                        <span style={{ color: '#DD0000', fontSize: '16px', fontWeight: '700' }}>{text}</span>
                    )}
                />

                {/* <Column title="实名认证状态" dataIndex="address" key="key" /> */}
                <Column
                    align="center"
                    title="操作"
                    render={(_text, record: any) => (
                        <Space size="middle">
                            <span className='transaction-order-table-btn' onClick={() => {
                                console.log(record); 
                            }}>查看内容</span>

                        </Space>
                    )}
                />
            </Table>
        </div>
    )
}
