import React, { useEffect } from 'react'
import './scrollAd.css'
export default function ScrollAd() {
    useEffect(() => {
        const scrollInterval = setInterval(() => {
            const adContainer = document.getElementById('scrolling-ad-container');
            if (adContainer) {
                adContainer.scrollLeft += 1; // 每次滚动的距离
                if (adContainer.scrollLeft % adContainer.scrollWidth === 0) {
                    clearInterval(scrollInterval); // 滚动到末尾时停止滚动
                }
            }
        }, 50); // 滚动速度，单位毫秒

        return () => clearInterval(scrollInterval); // 组件卸载时清除定时器
    }, []);
    return (
        <div id="scrolling-ad-container" className="scrolling-ad-container">

            <div className="scrolling-ad-content">
                    广告广告广告广告广告广告广告广告广告广告广告广告广告广
            </div>
        </div>
    

    )
}
