import './GoodsInfo.css'
import { Input, Image } from "antd";
import testImg from '../../../../static/test.jpg'
const { TextArea } = Input;

export default function GoodsInfo() {
    return (
        <div className='goodsInfo'>
            <div className='goodsInfo-left'>
                <div className='goodsInfo-img'>
                    <Image src={testImg} width={'100%'} height={'100%'} preview={{
                        mask: <div>点击放大软著证书</div>,
                    }}></Image>
                </div>
                <div className='tips'>
                    点击放大软著证书
                </div>
            </div>
            <div className='goodsInfo-right'>
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        软著名称
                    </div>
                    <Input
                        value={'嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻嘻'}
                        disabled
                        style={{
                            width: 280,
                            fontSize: 16,
                            height: 42,
                            color: "#5C5C5C",
                            background: '#F5F5F9',
                            textOverflow: 'ellipsis'
                        }}></Input>
                </div>
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        软著简称
                    </div>
                    <Input
                        disabled
                        style={{
                            width: 280,
                            fontSize: 16,
                            height: 42,
                            color: "#5C5C5C",
                            background: '#F5F5F9',
                            textOverflow: 'ellipsis'
                        }}></Input>
                </div>
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        软著证号
                    </div>
                    <Input
                        disabled
                        style={{
                            width: 280,
                            fontSize: 16,
                            height: 42,
                            color: "#5C5C5C",
                            background: '#F5F5F9',
                        }}></Input>
                </div>
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        软著版本
                    </div>
                    <Input
                        disabled
                        style={{
                            width: 280,
                            fontSize: 16,
                            height: 42,
                            color: "#5C5C5C",
                            background: '#F5F5F9'
                        }}></Input>
                </div>
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        取得时间
                    </div>
                    <Input
                        disabled
                        style={{
                            width: 280,
                            fontSize: 16,
                            height: 42,
                            color: "#5C5C5C",
                            background: '#F5F5F9'
                        }}></Input>
                </div>
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        开发语言
                    </div>
                    <Input
                        disabled
                        style={{
                            width: 280,
                            fontSize: 16,
                            height: 42,
                            color: "#5C5C5C",
                            background: '#F5F5F9'
                        }}></Input>
                </div>
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        获取方式
                    </div>
                    <Input
                        disabled
                        style={{
                            width: 280,
                            fontSize: 16,
                            height: 42,
                            color: "#5C5C5C",
                            background: '#F5F5F9'
                        }}></Input>
                </div>
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        售卖价格
                    </div>
                    <Input
                        disabled
                        style={{
                            width: 280,
                            fontSize: 16,
                            height: 42,
                            color: "#5C5C5C",
                            background: '#F5F5F9'
                        }}></Input>
                </div>
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        上架时间
                    </div>
                    <Input
                        disabled
                        style={{
                            width: 280,
                            fontSize: 16,
                            height: 42,
                            color: "#5C5C5C",
                            background: '#F5F5F9'
                        }}></Input>
                </div>
                
                <div className='goodsInfo-input'>
                    <div className='goodsinfo-title'>
                        软著详情
                    </div>
                    <TextArea
                        disabled
                        style={{
                            width: 700,
                            fontSize: 16,
                            height: 150,
                            color: "#5C5C5C",
                            background: '#F5F5F9',
                            resize: 'none'
                        }}></TextArea>
                </div>
            </div>
        </div>
    )
}
